Post by creativemakershive » Wed Feb 24, 2021 6:38 am

New to OpenCart here. I've been setting up my store but suddenly unable to log-in to the backend. Checked the error log in my cPanel and get the following 2 messages. Can anyone guide me from here?

Message #1 - PHP Warning: Module 'mysqlnd' already loaded in Unknown on line 0
Message #2 - PHP Warning: PHP Startup: Unable to load dynamic library '/opt/cpanel/ea-php54/root/usr/lib64/php/modules/mysqli.so' - /opt/cpanel/ea-php54/root/usr/lib64/php/modules/mysqli.so: cannot open shared object file: No such file or directory in Unknown on line 0

Much appreciation in advance :joker:


Posts

Joined
Tue Feb 23, 2021 9:48 pm

Post by paulfeakins » Wed Feb 24, 2021 6:53 pm

creativemakershive wrote:
Wed Feb 24, 2021 6:38 am
New to OpenCart here. I've been setting up my store but suddenly unable to log-in to the backend.
What exactly happens when you try?

For quick, professional OpenCart support please email info@antropy.co.uk


User avatar
Guru Member

Posts

Joined
Mon Aug 22, 2011 11:01 pm
Location - Reigate, Surrey, United Kingdom

Post by creativemakershive » Wed Feb 24, 2021 9:43 pm

Nothing happens, it just clears my credentials and stays on the admin log-in page instead of logging me into the site.


Posts

Joined
Tue Feb 23, 2021 9:48 pm

Post by sw!tch » Thu Feb 25, 2021 1:45 am

creativemakershive wrote:
Wed Feb 24, 2021 6:38 am
Message #2 - PHP Warning: PHP Startup: Unable to load dynamic library '/opt/cpanel/ea-php54/root/usr/lib64/php/modules/mysqli.so'
PHP 5.4? Might want to get on at least PHP 7.3

What version of Opencart? Were you able to instal Opencart without any issue?

Full Stack Web Developer :: Send a PM for Custom Work.
Backup and learn how to recover before you make any changes!


Active Member

Posts

Joined
Sat Apr 28, 2012 2:32 pm
Location - USA

User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by fegdeed » Wed Mar 03, 2021 8:13 pm

sw!tch wrote:
Thu Feb 25, 2021 1:45 am
creativemakershive wrote:
Wed Feb 24, 2021 6:38 am
Message #2 - PHP Warning: PHP Startup: Unable to load dynamic library '/opt/cpanel/ea-php54/root/usr/lib64/php/modules/mysqli.so'
PHP 5.4? Might want to get on at least PHP 7.3

What version of Opencart? Were you able to instal Opencart without any issue?
Sounds like he is using centos server..

Active Member

Posts

Joined
Fri Sep 21, 2018 12:01 am

Post by straightlight » Wed Mar 03, 2021 8:39 pm

Contact your host for these server library installations / configurations.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON
Who is online

Users browsing this forum: No registered users and 18 guests